Get a knowledge proposal
curl --request GET \
--url https://api.example.com/v2/aether/playbook/proposals/{proposal_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/aether/playbook/proposals/{proposal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/aether/playbook/proposals/{proposal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"action": "archive",
"status": "pending",
"title": "<string>",
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"customer_id": "<string>",
"description": "<string>",
"collection": "cash_application",
"extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledge_type": "declarative",
"review_notes": "<string>",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>",
"segment_id": "<string>",
"source_excerpts": [
{
"text": "<string>",
"memory_id": "<string>",
"page": 123
}
],
"stale": false
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Get a knowledge proposal
Returns the proposal by ID, or 404 if it does not exist.
GET
/
v2
/
aether
/
playbook
/
proposals
/
{proposal_id}
Get a knowledge proposal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Proposal ID
When this proposal was created
Create, revise, or archive
Available options:
archive, create, revise Pending, approved, or rejected
Available options:
pending, approved, rejected Proposed article title
Target article
Proposed article content
Proposed customer scope
Proposed article description
Proposed collection
Available options:
cash_application, collections, company, credit_risk, deductions, disputes, payments Extraction job that produced this
Proposed knowledge type
Available options:
declarative, document, procedural Reviewer's notes
When reviewed
User who reviewed
Proposed segment scope
Verbatim excerpts from the source
Show child attributes
Show child attributes
True when target article was modified after proposal creation
